### Method

# Gegl Buffer set_color

#### Declaration [src]

    void
    gegl_buffer_set_color (
      GeglBuffer* buffer,
      const GeglRectangle* rect,
      GeglColor* color
    )

#### Description [src]

Sets the region covered by rect to the specified color.

#### Parameters

`rect`

  Type: `GeglRectangle`

  A rectangular region to fill with a color.

  The data is owned by the caller of the function.

`color`

  Type: `GeglColor`

  The GeglColor to fill with.

  The data is owned by the caller of the function.